import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
task_id_list = client.cloud.baremetal.servers.delete(
server_id="024a29e-b4b7-4c91-9a46-505be123d9f8",
project_id=1,
region_id=1,
)
print(task_id_list.tasks)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
taskIDList, err := client.Cloud.Baremetal.Servers.Delete(
context.TODO(),
"024a29e-b4b7-4c91-9a46-505be123d9f8",
cloud.BaremetalServerDeleteParams{
ProjectID: gcore.Int(1),
RegionID: gcore.Int(1),
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", taskIDList.Tasks)
}
curl --request DELETE \
--url https://api.gcore.com/cloud/v1/bminstances/{project_id}/{region_id}/{server_id} \
--header 'Authorization: <api-key>'const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v1/bminstances/{project_id}/{region_id}/{server_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tasks": [
"d478ae29-dedc-4869-82f0-96104425f565"
]
}Delete bare metal server
Delete a bare metal server and it’s associated resources
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
task_id_list = client.cloud.baremetal.servers.delete(
server_id="024a29e-b4b7-4c91-9a46-505be123d9f8",
project_id=1,
region_id=1,
)
print(task_id_list.tasks)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
taskIDList, err := client.Cloud.Baremetal.Servers.Delete(
context.TODO(),
"024a29e-b4b7-4c91-9a46-505be123d9f8",
cloud.BaremetalServerDeleteParams{
ProjectID: gcore.Int(1),
RegionID: gcore.Int(1),
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", taskIDList.Tasks)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Project ID
1
Region ID
1
Server ID
"024a29e-b4b7-4c91-9a46-505be123d9f8"
Query Parameters
True if it is required to delete floating IPs assigned to the instance. Can't be used with floating_ip_ids.
True if it is required to delete reserved fixed IPs assigned to the instance. Can't be used with reserved_fixed_ip_ids.
Comma separated list of floating ids that should be deleted. Can't be used with all_floating_ips.
Comma separated list of port IDs to be deleted with the instance
Response
OK
List of task IDs representing asynchronous operations. Use these IDs to monitor operation progress:
GET /v1/tasks/{task_id}- Check individual task status and details Poll task status until completion (FINISHED/ERROR) before proceeding with dependent operations.
["d478ae29-dedc-4869-82f0-96104425f565"]
Was this page helpful?